<?php

    include_once './db_functions.php';
    $db = new DB_Functions();
    
    $reportType = $_POST["reportType"];
    
    $empName = isset($_POST["empName"])?$_POST["empName"]:"";
    $partyName =  isset($_POST["partyName"])?$_POST["partyName"]:"";
    $date1 = isset($_POST["date1"])?$_POST["date1"]:"";
    $date2 = isset($_POST["date2"])?$_POST["date2"]:"";
    $data = array();
    $data["response"] = array();
    if ($reportType === "employeeWiseSalesReport") {
        $data["success"] = 1;
        $data["response"] = $db->employeeWiseSalesReport($date1, $date2, $empName);
        echo json_encode($data);
    } else if ($reportType === "collectionReportEmployeeWise") {
        $data["success"] = 1;
        $data["response"] = $db->collectionReportEmployeeWise($date1, $date2, $empName);
        echo json_encode($data);
    } else if ($reportType === "collectionReport") {
        $data["success"] = 1;
        $data["response"] = $db->collectionReport($date1, $date2);
        echo json_encode($data);
    } else if ($reportType === "openingReport") {//not used in invoice app
        $data["success"] = 1;
        $data["response"] = $db->openingReport($date1);
        echo json_encode($data);
    } else if ($reportType === "cashBookReport") {//not used in invoice app
        $data["success"] = 1;
        $data["response"] = $db->cashBookReport($date1, $date2);
        echo json_encode($data);
    } else if ($reportType === "purchaseReport") {//not used in invoice app
        $data["success"] = 1;
        $data["response"] = $db->purchaseReport($date1, $date2);
        echo json_encode($data);
    } else if ($reportType === "salesReport") {
        $data["success"] = 1;
        $data["response"] = $db->salesReport($date1, $date2);
        echo json_encode($data);
    } else if ($reportType === "ledger") {
        $data["success"] = 1;
        $data["response"] = $db->ledger($date1, $date2, $partyName);
        echo json_encode($data);
    } else if ($reportType === "currentStockReport") {
        $data["success"] = 1;
        $data["response"] = $db->currentStockReport();
        echo json_encode($data);
    }else if ($reportType === "todayProductQtyForSale") {
		
		if (!( isset($_POST["employeeList"])  )) {
    $data["success"] = 0;
    $data["message"] = "Required field(s) is missing";
    // echoing JSON response
    echo json_encode($data);
    return;
    }
	
	$employeeInfoData = $_POST["employeeList"];
	 
        if (get_magic_quotes_gpc()) {
            $employeeInfoData = stripslashes($employeeInfoData);
            
        }
        //Decode JSON into an Array
        $data2 = json_decode($employeeInfoData, true);
		
		for ($i = 0; $i < count($data2); $i++) {
			if ($i != 0){
			 
			$empQry = $empQry .' ,  -+'. $data2[$i]["employeeName"] .'+-' ; 
			 
			}else{
				 
				$empQry = '-+'. $data2[$i]["employeeName"] .'+-' ; 
				 
			}
			
		}
		
		 $empQry = str_replace("-+","'",$empQry);
		 $empQry = str_replace("+-","'",$empQry);
		 
		 //echo $empQry ;
		 
		 
		//  $response["success"] = 1;
        // $response["response"] = $db->getAllPendingSalesDetails($empQry);
		// echo json_encode($response);
		 
		
		
        $data["success"] = 1;
        $data["response"] = $db->todayProductQtyForSale($empQry);
        echo json_encode($data);
    }else if ($reportType === "todayDeliveredReport") {
		 $data["success"] = 1;
        $data["response"] = $db->todayDeliveredReport($empName , $date1, $date2);
		 echo json_encode($data);
		
	}

?>